/************************************************************************
*	Copyright (c) 1997-2001 California Institute of Technology      *
*                     U.S. Government Sponsorship                       *
* Under contract with the National Aeronautics and Space Administration *
*************************************************************************/


#define _NULL_DATA_

#ifndef _BASELINE_
#include "baseline.h"
#endif


class NullData
{
private:
  // Elements for data storage
  char *starName;
  int starNum;
  int duration;
  int month,day,year;
  double jd,ut,delay,longDelay,nullLeak,nullSigma,wbWavelength;
  baseline *baselinePtr;


public:
  // Required elements for the linked-list code
  NullData *nextNode;
  double sortKey;


  // Constructor
  NullData(const char *star_name,const int star_num,
	 const int Month,const int Day,const int Year,
	 const double JD,const double UT,
	 const double Delay,const double LongDelay,
	 const double NullLeak, const double NullSigma,
	 const double WBWavelength, 
	 const int Duration,
	 const baseline *bLine)
  {
    starName = strdup(star_name);
    starNum = (int) star_num;
    month = (int) Month;
    day = (int) Day;
    year = (int) Year;
    jd = (double) JD;
    ut = (double) UT;
    delay = (double) Delay;
    longDelay = (double) LongDelay;
    nullLeak = (double) NullLeak;
    nullSigma = (double) NullSigma;
    wbWavelength = (double) WBWavelength;
    duration = (int) Duration;
    baselinePtr = (baseline *) bLine;
  }

  // Destructor
  ~NullData(void)
  {
    if (starName)
      delete starName;
  }

  // Accessor Member Functions
  char *get_starName(void) {return starName;}
  int get_starNum(void) {return starNum;}
  int get_month(void) {return month;}
  int get_day(void) {return day;}
  int get_year(void) {return year;}
  double get_jd(void) {return jd;}
  double get_ut(void) {return ut;}
  double get_delay(void) {return delay;}
  double get_longDelay(void) {return longDelay;}
  double get_nullLeak(void) {return nullLeak;}
  double get_nullSigma(void) {return nullSigma;}
  double get_wbWavelength(void) {return wbWavelength;}
  int get_duration(void) {return duration;}
  baseline *get_baseline(void) {return baselinePtr;}


};

  
