/************************************************************************
*	Copyright (c) 1997-2001 California Institute of Technology      *
*                     U.S. Government Sponsorship                       *
* Under contract with the National Aeronautics and Space Administration *
*************************************************************************/


#define _WB_DATA_

#ifndef _BASELINE_
#include "baseline.h"
#endif


class WBdata
{
private:
  // Elements for data storage
  char *starName, *cameraName;

  int starNum;
  int month,day,year;
  double jd,ut,delay,longDelay,wlPhot,wlV2I,wlV2C,wlWavelength,
    specPhot,specWavelength,specV2C,specV2I,jitter,frameRate;
  baseline *baselinePtr;


public:
  // Required elements for the linked-list code
  WBdata *nextNode;
  double sortKey;


  // Constructor
  WBdata(const char *star_name,const int star_num,
	 const int Month,const int Day,const int Year,
	 const double JD,const double UT,
	 const double Delay,const double LongDelay,
	 const double WLPhot,const double WLWavelength,
	 const double WLV2I,const double WLV2C,
	 const double SpecPhot,const double SpecWavelength,
	 const double SpecV2I,const double SpecV2C,
	 const double Jitter,
	 const double FrameRate,const baseline *bLine, const char *camera_name)

  {
    starName = strdup(star_name);
    starNum = (int) star_num;
    month = (int) Month;
    day = (int) Day;
    year = (int) Year;
    jd = (double) JD;
    ut = (double) UT;
    delay = (double) Delay;
    longDelay = (double) LongDelay;
    wlPhot = (double) WLPhot;
    wlWavelength = (double) WLWavelength;
    wlV2I = (double) WLV2I;
    wlV2C = (double) WLV2C;
    specPhot = (double) SpecPhot;
    specWavelength = (double) SpecWavelength;
    specV2C = (double) SpecV2C;
    specV2I = (double) SpecV2I;
    jitter = (double) Jitter;
    frameRate = (double) FrameRate;
    baselinePtr = (baseline *) bLine;
    cameraName = strdup(camera_name);
  }

  // Destructor
  ~WBdata(void)
  {
    if (starName)
      delete starName;
    if (cameraName)
      delete cameraName;
  }

  // Accessor Member Functions
  char *get_starName(void) {return starName;}
  char *get_cameraName(void) {return cameraName;}
  int get_starNum(void) {return starNum;}
  int get_month(void) {return month;}
  int get_day(void) {return day;}
  int get_year(void) {return year;}
  double get_jd(void) {return jd;}
  double get_ut(void) {return ut;}
  double get_delay(void) {return delay;}
  double get_longDelay(void) {return longDelay;}
  double get_wlPhot(void) {return wlPhot;}
  double get_wlWavelength(void) {return wlWavelength;}
  double get_wlV2I(void) {return wlV2I;}
  double get_wlV2C(void) {return wlV2C;}
  double get_specPhot(void) {return specPhot;}
  double get_specWavelength(void) {return specWavelength;}
  double get_specV2C(void) {return specV2C;}
  double get_specV2I(void) {return specV2I;}
  double get_jitter(void) {return jitter;}
  double get_frameRate(void) {return frameRate;}
  baseline *get_baseline(void) {return baselinePtr;}


};

  
