#########################################################################
#        Michelson Science Center (MSC) -- http://msc.caltech.edu       #
#	Copyright (c) 2003-2004 California Institute of Technology      #
#                     U.S. Government Sponsorship                       #
# Under contract with the National Aeronautics and Space Administration #
#########################################################################
# updated for V2Calib packaging/build 3/05

# PTI data sum file keys

#SUM: 04/28/98 HDC120136    6.675625   13.4321750   202.7  0.369  0.350    8.6  0.481  0.782  0.66   1.02   1.02    38.0   246.5   153.6   40.3   49.9   45.6  2.178   1.00   1  0  OK 13.78815174 17.45619774 

$SumDateStr = 2;
$SumDesig = 3;
$SumUT = 4;
$SumDelay = 5;
$SumWLPhot = 6;
$SumWLV2I = 7;
$SumWLV2C = 8;
$SumSpecPhot = 9;
$SumSpecV2C = 10;
$SumSpecV2I = 11;
$SumJitter = 12;
$SumWLBack = 15;
$SumWLFore = 16;
#this observable doesn't exist in PTI SUM files
#$SumWLRC = 17;
$SumSpecBack = 18;
$SumSpecFore = 19;
$SumSpecRC = 14;  # for Incoherent V2
$SumLocks = 23;
$SumFracLock = 22;

# list for plotOne option 
%keyList = (
	    "DATE"   => $SumDateStr,
	    "TIME"   => $SumUT,
#	    "Desig"  => $SumDesig,
	    "DELAY"  => $SumDelay,
	    "N_WL"   => $SumWLPhot,
	    "V2I_WL" => $SumWLV2I,
	    "V2C_WL" => $SumWLV2C,
	    "N_SP"   => $SumSpecPhot,
	    "V2I_SP" => $SumSpecV2I,
	    "V2C_SP" => $SumSpecV2C,
	    "JITTER" => $SumJitter,
	    "RC_SPEC"=> $SumSpecRC,
	    "BACK_WL" => $SumWLBack,
	    "FORE_WL" => $SumWLFore,
	    "BACK_SP" => $SumSpecBack,
	    "FORE_SP" => $SumSpecFore,
	    "LOCKS"   => $SumLocks,
	    "FRACLOCK" => $SumFracLock
	    );


%labelList = (
	      "DATE"   => "Date",
	      "TIME"   => "UT time (hours)",
#	      "Desig"  => "Source Designation",
	      "DELAY"  => "Delay (m)",
	      "N_WL"   => "WL Flux (DN)",
	      "V2I_WL" => "Incoherent WL V2",
	      "V2C_WL" => "Coherent WL V2",
	      "N_SP"   => "Composite Spec Flux (DN)",
	      "V2I_SP" => "Incoherent Composite Spec V2",
	      "V2C_SP" => "Coherent Composite Spec V2",
	      "JITTER" => "Jitter (radians)",
	      "RC_SPEC" => "Spec Ratio Correction",
	      "BACK_WL" => "Background Wide-band Flux (DN)",
	      "FORE_WL" => "Foreground Wide-band Flux (DN)",
	      "BACK_SP" => "Background Composite Spectrometer Flux (DN)",
	      "FORE_SP" => "Foreground Composite Spectrometer Flux (DN)", 
	      "LOCKS"   => "Number of Fringe Locks",
	      "FRACLOCK" => "Fractional Time Fringe Locked"
	     );


