#########################################################################
#        Michelson Science Center (MSC) -- http://msc.caltech.edu       #
#	Copyright (c) 2003-2004 California Institute of Technology      #
#                     U.S. Government Sponsorship                       #
# Under contract with the National Aeronautics and Space Administration #
#########################################################################
# updated for V2Calib packaging/build 3/05
#Kvis version  11/20/01 rla (updated format)

# SPEC File version
# Note: columns start with 0

$SpecUT = 3;
$SpecNChannels = 11;
$startKey = 12;

# keys for placement within channel data
$cohKey = 3;
$incKey = 2;
$nKey = 1;
$RCKey = 4;


# list for plotOne option 
%keyList = (
            "DATE"   => $SumDateStr,
            "TIME"   => $SumUT,
            "FDL"  => $SumDelay,
            "LDL"  => $SumLDL,
            "N_WL"   => $SumWLPhot,
            "V2I_WL" => $SumWLV2I,
            "V2C_WL" => $SumWLV2C,
            "N_SP"   => $SumSpecPhot,
            "V2I_SP" => $SumSpecV2I,
            "V2C_SP" => $SumSpecV2C,
            "JITTER" => $SumJitter,
            "RC_WL"  => $SumWLRC,
            "RC_SPEC" => $SumSpecRC,
            "LOCKS"  => $SumLocks,
            "FRACLOCK" => $SumFracLock
           );


%labelList = (
              "DATE"   => "Date",
              "TIME"   => "UT Time (hours)",
              "FDL"    => "Fast Delay Line (m)",
              "LDL"    => "Long Delay Line (m)",
              "N_WL"   => "WL Flux (DN)",
              "V2I_WL" => "Incoherent WL V2",
              "V2C_WL" => "Coherent WL V2",
              "N_SP"   => "Composite Spec Flux (DN)",
              "V2I_SP" => "Incoherent Composite Spec V2",
              "V2C_SP" => "Coherent Composite Spec V2",
              "JITTER" => "Jitter (radians)",
              "RC_WL"  => "WL Ratio Correction",
              "RC_SPEC" => "Composite Spec Ratio Correction",
              "LOCKS"   => "Number of Fringe Locks",
              "FRACLOCK" => "Fractional Time Fringe Locked"
             );

