#define _PTI_H_


#ifndef VECTORS_H
#include "Vector.h"
#endif

// Define some geometrical "constants" for PTI

// Global geometry
#define PTI_LONGITUDE (-116.8633 * DEG_TO_RAD)    // radians
#define PTI_LATITUDE (+33.3567 * DEG_TO_RAD)      // radians
#define PTI_ALTITUDE 1680.0                     // meters

// Earth-ref vector for the location of PTI
static Vector PTI_er(PTI_LONGITUDE,PTI_LATITUDE);

// North-South Baseline Information

// Local PTI N-S Baseline (m) from parameter file
//  x = site East, y = site North, z = site Up.
//Vector PTI_Baseline_NS(-37.128003,-103.287733,3.319159);
// Baseline: -37.128003 -103.287733 3.319159 -12.936500 
static Vector PTI_Baseline_NS(-37.116352,-103.264746,3.319338);
// N-S Baseline bias term (m) from parameter file
//#define PTI_NS_DELAY_BIAS -12.9365
#define PTI_NS_DELAY_BIAS -12.915245


// N-W Baseline Information
static Vector PTI_Baseline_NW(-81.684996,-28.213823,3.105958);
#define PTI_NW_DELAY_BIAS 0.028876

// SW Baseline Information
static Vector PTI_Baseline_SW(-44.568314,75.050551,-0.215133);
#define PTI_SW_DELAY_BIAS 14.807

