
#include "RMatrix.h"

RMatrix::RMatrix(const Vector basisX, const Vector basisY, const Vector basisZ)
{
  Vector xhat = basisX.unit();
  Vector yhat = basisY.unit();
  Vector zhat = basisZ.unit();
  for (int i = 0; i < 3; i++)
    {
      m[0][i] = xhat[i];
      m[1][i] = yhat[i];
      m[2][i] = zhat[i];
    }
}


RMatrix::RMatrix(const double m11, const double m12, const double m13,
		 const double m21, const double m22, const double m23,
		 const double m31, const double m32, const double m33)
{
  m[0][0] = m11;
  m[0][1] = m12;
  m[0][2] = m13;
  m[1][0] = m21;
  m[1][1] = m22;
  m[1][2] = m23;
  m[2][0] = m31;
  m[2][1] = m32;
  m[2][2] = m33;

}


RMatrix RMatrix::transpose(void)
{
  return RMatrix(m[0][0],m[1][0],m[2][0],
		 m[0][1],m[1][1],m[2][1],
		 m[0][2],m[1][2],m[2][2]);
}




Vector operator^(const RMatrix M,const Vector V)
{
  return Vector((M.m[0][0]*V[0] + M.m[0][1]*V[1] + M.m[0][2]*V[2]),
		(M.m[1][0]*V[0] + M.m[1][1]*V[1] + M.m[1][2]*V[2]),
		(M.m[2][0]*V[0] + M.m[2][1]*V[1] + M.m[2][2]*V[2]));
}

