/******************************************************************************/
/*                                                                            */
/*  function djl.c                                  29Oct92   Manfred Bester  */
/*                                                                            */
/*  calculates the Julian day number - 0.5                                    */
/*                                                                            */
/*                                                                            */
/*  input parameters:                                                         */
/*                                                                            */
/*  1. year, month, day                         (---) : ky, km, kd            */
/*                                                                            */
/*                                                                            */
/*  output parameters:                                                        */
/*                                                                            */
/*  1. Julian day number                   (---) : djul0                      */
/*                                                                            */
/******************************************************************************/

#include <stdio.h>
#include <math.h>

double djl(int year,int month,int day)
{

  /* Mod 3/02 A.B. to account for what appears to be a gcc compiler
     "anomaly".  I stole this bit of code from the JulianDate perl
     module */

  double tmp = day - 32075
    + (1461 * ( year + 4800 - ( 14 - month ) / 12 ) / 4)
    + (367 * ( month - 2 + ( ( 14 - month ) / 12 ) * 12 ) / 12)
    - (3 * ( ( year + 4900 - ( 14 - month ) / 12 ) / 100 ) / 4);

  return (tmp - 0.5);
}

/******************************************************************************/
/*                                                                            */
/*  end of function djl.c                                                     */
/*                                                                            */
/******************************************************************************/
