/**********  C++ histogram types  ***************************************/

class histogram
  {
  protected:
    char *hist_title;
    int entries;
  };

class histogram_1d:public histogram
  {
    int num_bins,overflow,underflow;
    float lower_edge,upper_edge;
    float *bin_val,*data_val;
    double sum_weight,sum_val,sum_val2;

  public:
    histogram_1d(const char *title,int nbins,float ledge,float uedge);
    histogram_1d(const char *filename);
    histogram_1d(histogram_1d ref_hist,float bin_scale,float val_scale);

    ~histogram_1d();

    int erase(void);
    int enter(float x,float val = 1.0);
    void write(FILE *output_file);

    /* Sample Statistics */
    float mean(void);
    float sigma(void);
  };

class histogram_2d:public histogram
  {
    int num_xbins,num_ybins,xoverflow,xunderflow,yoverflow,yunderflow;
    float xlower_edge,xupper_edge,ylower_edge,yupper_edge;
    float *xbin_val,*ybin_val,**data_val;
    double sum_weight,sum_xval,sum_xval2,sum_yval,sum_yval2,sum_xyval;

  public:
    histogram_2d(const char *title,
		 int xbins, float xledge, float xuedge,
		 int ybins, float yledge, float yuedge);
    ~histogram_2d(void);

    int erase(void);
    int enter(float x,float y,float val = 1.0);
    void write(FILE *output_file);

    /* Sample Statistics */
    float xmean(void);
    float xsigma(void);
    float ymean(void);
    float ysigma(void);
    float covariance(void);
    float correlation(void);
  };

