/* timeUtil library header file */

#define _TIMEUTIL_



/* macro to detect and fix modified Julian dates into real Julian dates */
#define BASE_JD 2400000.5
#define fixJD(jd) ((jd) > (BASE_JD) ? (jd) : (jd + BASE_JD))

/* MJD of 0 UT Jan 1, 2000 */
#define MJD_J2000 51544.0



#ifdef __cplusplus
extern "C" {
#endif

extern double utFromJD(double jd);

extern double jdFromUTCal(double ut,int year,int month,int day);

extern double jdFromUTYday(double ut,int year,int yday);

extern double dynamicalTimeJD(double jd, double *dT);


extern double djl(int kyear,int kmonth,int kday);

extern int intoMonthDay(int iyear,int yearday,
			int *pmonth,int *pday);
extern int yearDay(int iyear,int imonth,int iday);



#ifdef __cplusplus
}
#endif
